<?php
/**
 * Copyright © 2018 Filoblu S.p.A. All rights reserved.
 */

namespace FiloBlu\MappConnector\Block\Adminhtml\System\Config\Customer;

/**
 * Class Customer
 * @package FiloBlu\MappConnector\Block\Adminhtml\System\Config\Customer
 */
class Customer extends \FiloBlu\MappConnector\Block\Adminhtml\System\Config\AbstractConfig
{

    /**
     * Customer Object
     *
     * @var \Magento\Customer\Model\Customer
     */
    protected $_model;

    /**
     * @var string
     */
    protected $_id = 'customer';

    /**
     * @var string
     */
    protected $_type = 'eav';

    /**
     * @var array
     */
    protected $_exclude = ['increment_id','entity_id','password_hash','rp_token','rp_token_created_at'];

    /**
     * CustomerAttributes constructor.
     * @param \Magento\Customer\Model\Customer $customer
     * @param \Magento\Backend\Block\Template\Context $context
     * @param array $data
     */
    public function __construct(
        \Magento\Customer\Model\Customer $customer,
        \Magento\Backend\Block\Template\Context $context,
        array $data = []
    ) {
        $this->_model = $customer;
        parent::__construct($context, $data);
    }
    

}