<?php
/**
 * Copyright © 2018 Filoblu S.p.A. All rights reserved.
 */

namespace FiloBlu\MappConnector\Block\Adminhtml\System\Config\Order;

/**
 * Class OrderItem
 * @package FiloBlu\MappConnector\Block\Adminhtml\System\Config\Order
 */
class OrderItem extends \FiloBlu\MappConnector\Block\Adminhtml\System\Config\AbstractConfig
{

    /**
     * Order Model
     *
     * @var \Magento\Sales\Model\Order\Item
     */
    protected $_model;

    /**
     * @var string
     */
    protected $_id = 'order_item';

    /**
     * @var string
     */
    protected $_type = 'flat';

    /**
     * @var array
     */
    protected $_exclude = ['entity_id'];

    /**
     * Order constructor.
     * @param \Magento\Sales\Model\Order $order
     * @param \Magento\Backend\Block\Template\Context $context
     * @param array $data
     */
    public function __construct(
        \Magento\Sales\Model\Order\Item $orderItem,
        \Magento\Backend\Block\Template\Context $context,
        array $data = []
    ) {
        $this->_model = $orderItem;
        parent::__construct($context, $data);
    }


}